Quote:
Originally Posted by scientific calculator View Post
Sure, no reason why it should not work. MX Player requires Android 2.1 and above...
I can't add a link because I'm a new user, but there was a relatively long delay (more than a week if I understand correctly) until Android 4.4.1 and 4.4.2 support was added when they were released. Users got a dialog saying "Unsupported android version" and MX Player wouldn't load. Only when MX Player v1.7.21 was released it started working again.

You can Google "mx player unsupported android version" for references.

I just want to know the current version already supports Android 4.4.3 or is it going to show the same error.